Bug 148832 - fix for ibmcam.ko
fix for ibmcam.ko
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
http://auricle.dyndns.org/xvp610/linu...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-02-15 19:06 EST by CS Wagner
Modified: 2015-01-04 17:16 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-02 20:12:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description CS Wagner 2005-02-15 19:06:45 EST
Description of problem:
 usb/media/ibmcam.ko has a bug that causes version 4 ibm cams (ie:
Xirlink) to lose blue color.  Technically, it appears to expect RGB,
but the camera actually sends RRGGBB, so it reads RRG as RGB.

Version-Release number of selected component (if applicable):
 All that have been released since the early days of Redhat.

How reproducible:
 Use fedora (any version) with a version 4 ibm cam.

Steps to Reproduce:
1. Plug in camera.
2. Start video viewer (xawtv)
3. Look at video.  My blue shirt looks red and fuzzy.
  
Actual results:
 Video is missing blue and fuzzy.

Expected results:
 Video should contain red, green AND blue and be clear.

Additional info:
 The URL provided contains the patch to fix the driver.  I tested this
with Fedora 1, 2, and 3.  However, it is a pain to keep patching it
every time a new kernel comes out, so I would greatly appreciate it if
this could be part of the kernel release.
Comment 1 Sitsofe Wheeler 2005-02-16 17:42:04 EST
You will probably have better luck going upstream (whoever is the driver
maintainer I guess) and letting your patch trickle down because (I think) the
idea is to carry as few patches as possible in the FC kernels...
Comment 2 CS Wagner 2005-02-16 19:33:12 EST
(In reply to comment #1)
> You will probably have better luck going upstream (whoever is the driver
> maintainer I guess) and letting your patch trickle down because (I think) the
> idea is to carry as few patches as possible in the FC kernels...

I would if there was a driver maintainer for this, but there isn't one. 
Everyone I've talked to says that when there is no maintainer for the driver,
the core developers should apply the bug fix.

Also, please note that this is not a patch for a new feature.  It is a patch to
fix a bug.  I wasn't too upset about it until FC3 decided to make it nearly
impossible to patch the drivers.  Why not give the kernel-source package back
for those who need it to patch drivers that the maintainers have refused to
patch since Redhat 6.0?
Comment 3 Dave Jones 2005-02-17 18:40:40 EST
send it direct to the usb maintainer (Greg Kroah-Hartman <greg@kroah.com>)
the original driver author seems to have gone out his way to be uncontactable,
so going further upstream is the only recourse left afaics.

thanks
Comment 4 Dave Jones 2005-07-15 13:46:37 EDT
An update has been released for Fedora Core 3 (kernel-2.6.12-1.1372_FC3) which
may contain a fix for your problem.   Please update to this new kernel, and
report whether or not it fixes your problem.

If you have updated to Fedora Core 4 since this bug was opened, and the problem
still occurs with the latest updates for that release, please change the version
field of this bug to 'fc4'.

Thank you.
Comment 5 Dave Jones 2005-10-02 20:12:51 EDT
This bug has been automatically closed as part of a mass update.
It had been in NEEDINFO state since July 2005.
If this bug still exists in current errata kernels, please reopen this bug.

There are a large number of inactive bugs in the database, and this is the only
way to purge them.

Thank you.
Comment 6 Fedora Update System 2005-10-20 10:28:45 EDT
From User-Agent: XML-RPC

kernel-2.6.12-1.1380_FC3 has been pushed for FC3, which should resolve this issue.  If these problems are still present in this version, then please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.